<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head><meta http-equiv="content-type" content="text/html; charset=UTF-8" />
<title>C_CppFactoryImpl xref</title>
<link type="text/css" rel="stylesheet" href="../../../../../../../../../stylesheet.css" />
</head>
<body>
<div id="overview"><a href="../../../../../../../../../../apidocs/org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/impl/C_CppFactoryImpl.html">View Javadoc</a></div><pre>
<a class="jxr_linenumber" name="L1" href="#L1">1</a>   <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L2" href="#L2">2</a>   <em class="jxr_javadoccomment"> * Copyright (c) 2013 CEA LIST</em>
<a class="jxr_linenumber" name="L3" href="#L3">3</a>   <em class="jxr_javadoccomment"> *</em>
<a class="jxr_linenumber" name="L4" href="#L4">4</a>   <em class="jxr_javadoccomment"> * All rights reserved. This program and the accompanying materials are</em>
<a class="jxr_linenumber" name="L5" href="#L5">5</a>   <em class="jxr_javadoccomment"> * made available under the terms of the Eclipse Public License v1.0 which</em>
<a class="jxr_linenumber" name="L6" href="#L6">6</a>   <em class="jxr_javadoccomment"> * accompanies this distribution, and is available at</em>
<a class="jxr_linenumber" name="L7" href="#L7">7</a>   <em class="jxr_javadoccomment"> * <a href="http://www.eclipse.org/legal/epl-v10.htm" target="alexandria_uri">http://www.eclipse.org/legal/epl-v10.htm</a>l</em>
<a class="jxr_linenumber" name="L8" href="#L8">8</a>   <em class="jxr_javadoccomment"> *</em>
<a class="jxr_linenumber" name="L9" href="#L9">9</a>   <em class="jxr_javadoccomment"> * Contributors:</em>
<a class="jxr_linenumber" name="L10" href="#L10">10</a>  <em class="jxr_javadoccomment"> *    CEA LIST - Initial API and implementation</em>
<a class="jxr_linenumber" name="L11" href="#L11">11</a>  <em class="jxr_javadoccomment"> *</em>
<a class="jxr_linenumber" name="L12" href="#L12">12</a>  <em class="jxr_javadoccomment"> */</em>
<a class="jxr_linenumber" name="L13" href="#L13">13</a>  <strong class="jxr_keyword">package</strong> org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.impl;
<a class="jxr_linenumber" name="L14" href="#L14">14</a>  
<a class="jxr_linenumber" name="L15" href="#L15">15</a>  <strong class="jxr_keyword">import</strong> org.eclipse.emf.ecore.EClass;
<a class="jxr_linenumber" name="L16" href="#L16">16</a>  <strong class="jxr_keyword">import</strong> org.eclipse.emf.ecore.EDataType;
<a class="jxr_linenumber" name="L17" href="#L17">17</a>  <strong class="jxr_keyword">import</strong> org.eclipse.emf.ecore.EObject;
<a class="jxr_linenumber" name="L18" href="#L18">18</a>  <strong class="jxr_keyword">import</strong> org.eclipse.emf.ecore.EPackage;
<a class="jxr_linenumber" name="L19" href="#L19">19</a>  <strong class="jxr_keyword">import</strong> org.eclipse.emf.ecore.impl.EFactoryImpl;
<a class="jxr_linenumber" name="L20" href="#L20">20</a>  <strong class="jxr_keyword">import</strong> org.eclipse.emf.ecore.plugin.EcorePlugin;
<a class="jxr_linenumber" name="L21" href="#L21">21</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.Array;
<a class="jxr_linenumber" name="L22" href="#L22">22</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.C_CppFactory;
<a class="jxr_linenumber" name="L23" href="#L23">23</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.C_CppPackage;
<a class="jxr_linenumber" name="L24" href="#L24">24</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.Const;
<a class="jxr_linenumber" name="L25" href="#L25">25</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.ConstInit;
<a class="jxr_linenumber" name="L26" href="#L26">26</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.CppInit;
<a class="jxr_linenumber" name="L27" href="#L27">27</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.CppRoot;
<a class="jxr_linenumber" name="L28" href="#L28">28</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.EAccessKind;
<a class="jxr_linenumber" name="L29" href="#L29">29</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.EStorageClass;
<a class="jxr_linenumber" name="L30" href="#L30">30</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.ExternLibrary;
<a class="jxr_linenumber" name="L31" href="#L31">31</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.External;
<a class="jxr_linenumber" name="L32" href="#L32">32</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.Friend;
<a class="jxr_linenumber" name="L33" href="#L33">33</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.Include;
<a class="jxr_linenumber" name="L34" href="#L34">34</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.Inline;
<a class="jxr_linenumber" name="L35" href="#L35">35</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.ManualGeneration;
<a class="jxr_linenumber" name="L36" href="#L36">36</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.Mutable;
<a class="jxr_linenumber" name="L37" href="#L37">37</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.NoCodeGen;
<a class="jxr_linenumber" name="L38" href="#L38">38</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.Ptr;
<a class="jxr_linenumber" name="L39" href="#L39">39</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.Ref;
<a class="jxr_linenumber" name="L40" href="#L40">40</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.StorageClass;
<a class="jxr_linenumber" name="L41" href="#L41">41</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.Template;
<a class="jxr_linenumber" name="L42" href="#L42">42</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.TemplateBinding;
<a class="jxr_linenumber" name="L43" href="#L43">43</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.TemplateParameter;
<a class="jxr_linenumber" name="L44" href="#L44">44</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.Typedef;
<a class="jxr_linenumber" name="L45" href="#L45">45</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.Union;
<a class="jxr_linenumber" name="L46" href="#L46">46</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.Variadic;
<a class="jxr_linenumber" name="L47" href="#L47">47</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.Virtual;
<a class="jxr_linenumber" name="L48" href="#L48">48</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.Visibility;
<a class="jxr_linenumber" name="L49" href="#L49">49</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.VisibilityKind;
<a class="jxr_linenumber" name="L50" href="#L50">50</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.Volatile;
<a class="jxr_linenumber" name="L51" href="#L51">51</a>  
<a class="jxr_linenumber" name="L52" href="#L52">52</a>  <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L53" href="#L53">53</a>  <em class="jxr_javadoccomment"> * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L54" href="#L54">54</a>  <em class="jxr_javadoccomment"> * An implementation of the model &lt;b&gt;Factory&lt;/b&gt;.</em>
<a class="jxr_linenumber" name="L55" href="#L55">55</a>  <em class="jxr_javadoccomment"> * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L56" href="#L56">56</a>  <em class="jxr_javadoccomment"> * @generated</em>
<a class="jxr_linenumber" name="L57" href="#L57">57</a>  <em class="jxr_javadoccomment"> */</em>
<a class="jxr_linenumber" name="L58" href="#L58">58</a>  <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">class</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/impl/C_CppFactoryImpl.html">C_CppFactoryImpl</a> <strong class="jxr_keyword">extends</strong> EFactoryImpl <strong class="jxr_keyword">implements</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppFactory.html">C_CppFactory</a> {
<a class="jxr_linenumber" name="L59" href="#L59">59</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L60" href="#L60">60</a>  <em class="jxr_javadoccomment">	 * Creates the default factory implementation.</em>
<a class="jxr_linenumber" name="L61" href="#L61">61</a>  <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L62" href="#L62">62</a>  <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L63" href="#L63">63</a>  <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L64" href="#L64">64</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L65" href="#L65">65</a>  	<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">static</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppFactory.html">C_CppFactory</a> init() {
<a class="jxr_linenumber" name="L66" href="#L66">66</a>  		<strong class="jxr_keyword">try</strong> {
<a class="jxr_linenumber" name="L67" href="#L67">67</a>  			C_CppFactory theC_CppFactory = (C_CppFactory)EPackage.Registry.INSTANCE.getEFactory(C_CppPackage.eNS_URI);
<a class="jxr_linenumber" name="L68" href="#L68">68</a>  			<strong class="jxr_keyword">if</strong> (theC_CppFactory != <strong class="jxr_keyword">null</strong>) {
<a class="jxr_linenumber" name="L69" href="#L69">69</a>  				<strong class="jxr_keyword">return</strong> theC_CppFactory;
<a class="jxr_linenumber" name="L70" href="#L70">70</a>  			}
<a class="jxr_linenumber" name="L71" href="#L71">71</a>  		}
<a class="jxr_linenumber" name="L72" href="#L72">72</a>  		<strong class="jxr_keyword">catch</strong> (Exception exception) {
<a class="jxr_linenumber" name="L73" href="#L73">73</a>  			EcorePlugin.INSTANCE.log(exception);
<a class="jxr_linenumber" name="L74" href="#L74">74</a>  		}
<a class="jxr_linenumber" name="L75" href="#L75">75</a>  		<strong class="jxr_keyword">return</strong> <strong class="jxr_keyword">new</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/impl/C_CppFactoryImpl.html">C_CppFactoryImpl</a>();
<a class="jxr_linenumber" name="L76" href="#L76">76</a>  	}
<a class="jxr_linenumber" name="L77" href="#L77">77</a>  
<a class="jxr_linenumber" name="L78" href="#L78">78</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L79" href="#L79">79</a>  <em class="jxr_javadoccomment">	 * Creates an instance of the factory.</em>
<a class="jxr_linenumber" name="L80" href="#L80">80</a>  <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L81" href="#L81">81</a>  <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L82" href="#L82">82</a>  <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L83" href="#L83">83</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L84" href="#L84">84</a>  	<strong class="jxr_keyword">public</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/impl/C_CppFactoryImpl.html">C_CppFactoryImpl</a>() {
<a class="jxr_linenumber" name="L85" href="#L85">85</a>  		<strong class="jxr_keyword">super</strong>();
<a class="jxr_linenumber" name="L86" href="#L86">86</a>  	}
<a class="jxr_linenumber" name="L87" href="#L87">87</a>  
<a class="jxr_linenumber" name="L88" href="#L88">88</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L89" href="#L89">89</a>  <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L90" href="#L90">90</a>  <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L91" href="#L91">91</a>  <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L92" href="#L92">92</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L93" href="#L93">93</a>  	@Override
<a class="jxr_linenumber" name="L94" href="#L94">94</a>  	<strong class="jxr_keyword">public</strong> EObject create(EClass eClass) {
<a class="jxr_linenumber" name="L95" href="#L95">95</a>  		<strong class="jxr_keyword">switch</strong> (eClass.getClassifierID()) {
<a class="jxr_linenumber" name="L96" href="#L96">96</a>  			<strong class="jxr_keyword">case</strong> C_CppPackage.PTR: <strong class="jxr_keyword">return</strong> createPtr();
<a class="jxr_linenumber" name="L97" href="#L97">97</a>  			<strong class="jxr_keyword">case</strong> C_CppPackage.INCLUDE: <strong class="jxr_keyword">return</strong> createInclude();
<a class="jxr_linenumber" name="L98" href="#L98">98</a>  			<strong class="jxr_keyword">case</strong> C_CppPackage.MANUAL_GENERATION: <strong class="jxr_keyword">return</strong> createManualGeneration();
<a class="jxr_linenumber" name="L99" href="#L99">99</a>  			<strong class="jxr_keyword">case</strong> C_CppPackage.EXTERN_LIBRARY: <strong class="jxr_keyword">return</strong> createExternLibrary();
<a class="jxr_linenumber" name="L100" href="#L100">100</a> 			<strong class="jxr_keyword">case</strong> C_CppPackage.NO_CODE_GEN: <strong class="jxr_keyword">return</strong> createNoCodeGen();
<a class="jxr_linenumber" name="L101" href="#L101">101</a> 			<strong class="jxr_keyword">case</strong> C_CppPackage.CPP_ROOT: <strong class="jxr_keyword">return</strong> createCppRoot();
<a class="jxr_linenumber" name="L102" href="#L102">102</a> 			<strong class="jxr_keyword">case</strong> C_CppPackage.ARRAY: <strong class="jxr_keyword">return</strong> createArray();
<a class="jxr_linenumber" name="L103" href="#L103">103</a> 			<strong class="jxr_keyword">case</strong> C_CppPackage.CONST: <strong class="jxr_keyword">return</strong> createConst();
<a class="jxr_linenumber" name="L104" href="#L104">104</a> 			<strong class="jxr_keyword">case</strong> C_CppPackage.REF: <strong class="jxr_keyword">return</strong> createRef();
<a class="jxr_linenumber" name="L105" href="#L105">105</a> 			<strong class="jxr_keyword">case</strong> C_CppPackage.EXTERNAL: <strong class="jxr_keyword">return</strong> createExternal();
<a class="jxr_linenumber" name="L106" href="#L106">106</a> 			<strong class="jxr_keyword">case</strong> C_CppPackage.CONST_INIT: <strong class="jxr_keyword">return</strong> createConstInit();
<a class="jxr_linenumber" name="L107" href="#L107">107</a> 			<strong class="jxr_keyword">case</strong> C_CppPackage.FRIEND: <strong class="jxr_keyword">return</strong> createFriend();
<a class="jxr_linenumber" name="L108" href="#L108">108</a> 			<strong class="jxr_keyword">case</strong> C_CppPackage.INLINE: <strong class="jxr_keyword">return</strong> createInline();
<a class="jxr_linenumber" name="L109" href="#L109">109</a> 			<strong class="jxr_keyword">case</strong> C_CppPackage.VIRTUAL: <strong class="jxr_keyword">return</strong> createVirtual();
<a class="jxr_linenumber" name="L110" href="#L110">110</a> 			<strong class="jxr_keyword">case</strong> C_CppPackage.TYPEDEF: <strong class="jxr_keyword">return</strong> createTypedef();
<a class="jxr_linenumber" name="L111" href="#L111">111</a> 			<strong class="jxr_keyword">case</strong> C_CppPackage.VISIBILITY: <strong class="jxr_keyword">return</strong> createVisibility();
<a class="jxr_linenumber" name="L112" href="#L112">112</a> 			<strong class="jxr_keyword">case</strong> C_CppPackage.CPP_INIT: <strong class="jxr_keyword">return</strong> createCppInit();
<a class="jxr_linenumber" name="L113" href="#L113">113</a> 			<strong class="jxr_keyword">case</strong> C_CppPackage.TEMPLATE: <strong class="jxr_keyword">return</strong> createTemplate();
<a class="jxr_linenumber" name="L114" href="#L114">114</a> 			<strong class="jxr_keyword">case</strong> C_CppPackage.TEMPLATE_BINDING: <strong class="jxr_keyword">return</strong> createTemplateBinding();
<a class="jxr_linenumber" name="L115" href="#L115">115</a> 			<strong class="jxr_keyword">case</strong> C_CppPackage.TEMPLATE_PARAMETER: <strong class="jxr_keyword">return</strong> createTemplateParameter();
<a class="jxr_linenumber" name="L116" href="#L116">116</a> 			<strong class="jxr_keyword">case</strong> C_CppPackage.UNION: <strong class="jxr_keyword">return</strong> createUnion();
<a class="jxr_linenumber" name="L117" href="#L117">117</a> 			<strong class="jxr_keyword">case</strong> C_CppPackage.STORAGE_CLASS: <strong class="jxr_keyword">return</strong> createStorageClass();
<a class="jxr_linenumber" name="L118" href="#L118">118</a> 			<strong class="jxr_keyword">case</strong> C_CppPackage.VOLATILE: <strong class="jxr_keyword">return</strong> createVolatile();
<a class="jxr_linenumber" name="L119" href="#L119">119</a> 			<strong class="jxr_keyword">case</strong> C_CppPackage.VARIADIC: <strong class="jxr_keyword">return</strong> createVariadic();
<a class="jxr_linenumber" name="L120" href="#L120">120</a> 			<strong class="jxr_keyword">case</strong> C_CppPackage.MUTABLE: <strong class="jxr_keyword">return</strong> createMutable();
<a class="jxr_linenumber" name="L121" href="#L121">121</a> 			<strong class="jxr_keyword">default</strong>:
<a class="jxr_linenumber" name="L122" href="#L122">122</a> 				<strong class="jxr_keyword">throw</strong> <strong class="jxr_keyword">new</strong> IllegalArgumentException(<span class="jxr_string">"The class '"</span> + eClass.getName() + <span class="jxr_string">"' is not a valid classifier"</span>);
<a class="jxr_linenumber" name="L123" href="#L123">123</a> 		}
<a class="jxr_linenumber" name="L124" href="#L124">124</a> 	}
<a class="jxr_linenumber" name="L125" href="#L125">125</a> 
<a class="jxr_linenumber" name="L126" href="#L126">126</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L127" href="#L127">127</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L128" href="#L128">128</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L129" href="#L129">129</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L130" href="#L130">130</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L131" href="#L131">131</a> 	@Override
<a class="jxr_linenumber" name="L132" href="#L132">132</a> 	<strong class="jxr_keyword">public</strong> Object createFromString(EDataType eDataType, String initialValue) {
<a class="jxr_linenumber" name="L133" href="#L133">133</a> 		<strong class="jxr_keyword">switch</strong> (eDataType.getClassifierID()) {
<a class="jxr_linenumber" name="L134" href="#L134">134</a> 			<strong class="jxr_keyword">case</strong> C_CppPackage.VISIBILITY_KIND:
<a class="jxr_linenumber" name="L135" href="#L135">135</a> 				<strong class="jxr_keyword">return</strong> createVisibilityKindFromString(eDataType, initialValue);
<a class="jxr_linenumber" name="L136" href="#L136">136</a> 			<strong class="jxr_keyword">case</strong> C_CppPackage.EACCESS_KIND:
<a class="jxr_linenumber" name="L137" href="#L137">137</a> 				<strong class="jxr_keyword">return</strong> createEAccessKindFromString(eDataType, initialValue);
<a class="jxr_linenumber" name="L138" href="#L138">138</a> 			<strong class="jxr_keyword">case</strong> C_CppPackage.ESTORAGE_CLASS:
<a class="jxr_linenumber" name="L139" href="#L139">139</a> 				<strong class="jxr_keyword">return</strong> createEStorageClassFromString(eDataType, initialValue);
<a class="jxr_linenumber" name="L140" href="#L140">140</a> 			<strong class="jxr_keyword">default</strong>:
<a class="jxr_linenumber" name="L141" href="#L141">141</a> 				<strong class="jxr_keyword">throw</strong> <strong class="jxr_keyword">new</strong> IllegalArgumentException(<span class="jxr_string">"The datatype '"</span> + eDataType.getName() + <span class="jxr_string">"' is not a valid classifier"</span>);
<a class="jxr_linenumber" name="L142" href="#L142">142</a> 		}
<a class="jxr_linenumber" name="L143" href="#L143">143</a> 	}
<a class="jxr_linenumber" name="L144" href="#L144">144</a> 
<a class="jxr_linenumber" name="L145" href="#L145">145</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L146" href="#L146">146</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L147" href="#L147">147</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L148" href="#L148">148</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L149" href="#L149">149</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L150" href="#L150">150</a> 	@Override
<a class="jxr_linenumber" name="L151" href="#L151">151</a> 	<strong class="jxr_keyword">public</strong> String convertToString(EDataType eDataType, Object instanceValue) {
<a class="jxr_linenumber" name="L152" href="#L152">152</a> 		<strong class="jxr_keyword">switch</strong> (eDataType.getClassifierID()) {
<a class="jxr_linenumber" name="L153" href="#L153">153</a> 			<strong class="jxr_keyword">case</strong> C_CppPackage.VISIBILITY_KIND:
<a class="jxr_linenumber" name="L154" href="#L154">154</a> 				<strong class="jxr_keyword">return</strong> convertVisibilityKindToString(eDataType, instanceValue);
<a class="jxr_linenumber" name="L155" href="#L155">155</a> 			<strong class="jxr_keyword">case</strong> C_CppPackage.EACCESS_KIND:
<a class="jxr_linenumber" name="L156" href="#L156">156</a> 				<strong class="jxr_keyword">return</strong> convertEAccessKindToString(eDataType, instanceValue);
<a class="jxr_linenumber" name="L157" href="#L157">157</a> 			<strong class="jxr_keyword">case</strong> C_CppPackage.ESTORAGE_CLASS:
<a class="jxr_linenumber" name="L158" href="#L158">158</a> 				<strong class="jxr_keyword">return</strong> convertEStorageClassToString(eDataType, instanceValue);
<a class="jxr_linenumber" name="L159" href="#L159">159</a> 			<strong class="jxr_keyword">default</strong>:
<a class="jxr_linenumber" name="L160" href="#L160">160</a> 				<strong class="jxr_keyword">throw</strong> <strong class="jxr_keyword">new</strong> IllegalArgumentException(<span class="jxr_string">"The datatype '"</span> + eDataType.getName() + <span class="jxr_string">"' is not a valid classifier"</span>);
<a class="jxr_linenumber" name="L161" href="#L161">161</a> 		}
<a class="jxr_linenumber" name="L162" href="#L162">162</a> 	}
<a class="jxr_linenumber" name="L163" href="#L163">163</a> 
<a class="jxr_linenumber" name="L164" href="#L164">164</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L165" href="#L165">165</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L166" href="#L166">166</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L167" href="#L167">167</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L168" href="#L168">168</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L169" href="#L169">169</a> 	@Override
<a class="jxr_linenumber" name="L170" href="#L170">170</a> 	<strong class="jxr_keyword">public</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Ptr.html">Ptr</a> createPtr() {
<a class="jxr_linenumber" name="L171" href="#L171">171</a> 		PtrImpl ptr = <strong class="jxr_keyword">new</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/impl/PtrImpl.html">PtrImpl</a>();
<a class="jxr_linenumber" name="L172" href="#L172">172</a> 		<strong class="jxr_keyword">return</strong> ptr;
<a class="jxr_linenumber" name="L173" href="#L173">173</a> 	}
<a class="jxr_linenumber" name="L174" href="#L174">174</a> 
<a class="jxr_linenumber" name="L175" href="#L175">175</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L176" href="#L176">176</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L177" href="#L177">177</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L178" href="#L178">178</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L179" href="#L179">179</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L180" href="#L180">180</a> 	@Override
<a class="jxr_linenumber" name="L181" href="#L181">181</a> 	<strong class="jxr_keyword">public</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Include.html">Include</a> createInclude() {
<a class="jxr_linenumber" name="L182" href="#L182">182</a> 		IncludeImpl include = <strong class="jxr_keyword">new</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/impl/IncludeImpl.html">IncludeImpl</a>();
<a class="jxr_linenumber" name="L183" href="#L183">183</a> 		<strong class="jxr_keyword">return</strong> include;
<a class="jxr_linenumber" name="L184" href="#L184">184</a> 	}
<a class="jxr_linenumber" name="L185" href="#L185">185</a> 
<a class="jxr_linenumber" name="L186" href="#L186">186</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L187" href="#L187">187</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L188" href="#L188">188</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L189" href="#L189">189</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L190" href="#L190">190</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L191" href="#L191">191</a> 	@Override
<a class="jxr_linenumber" name="L192" href="#L192">192</a> 	<strong class="jxr_keyword">public</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/ManualGeneration.html">ManualGeneration</a> createManualGeneration() {
<a class="jxr_linenumber" name="L193" href="#L193">193</a> 		ManualGenerationImpl manualGeneration = <strong class="jxr_keyword">new</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/impl/ManualGenerationImpl.html">ManualGenerationImpl</a>();
<a class="jxr_linenumber" name="L194" href="#L194">194</a> 		<strong class="jxr_keyword">return</strong> manualGeneration;
<a class="jxr_linenumber" name="L195" href="#L195">195</a> 	}
<a class="jxr_linenumber" name="L196" href="#L196">196</a> 
<a class="jxr_linenumber" name="L197" href="#L197">197</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L198" href="#L198">198</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L199" href="#L199">199</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L200" href="#L200">200</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L201" href="#L201">201</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L202" href="#L202">202</a> 	@Override
<a class="jxr_linenumber" name="L203" href="#L203">203</a> 	<strong class="jxr_keyword">public</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/ExternLibrary.html">ExternLibrary</a> createExternLibrary() {
<a class="jxr_linenumber" name="L204" href="#L204">204</a> 		ExternLibraryImpl externLibrary = <strong class="jxr_keyword">new</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/impl/ExternLibraryImpl.html">ExternLibraryImpl</a>();
<a class="jxr_linenumber" name="L205" href="#L205">205</a> 		<strong class="jxr_keyword">return</strong> externLibrary;
<a class="jxr_linenumber" name="L206" href="#L206">206</a> 	}
<a class="jxr_linenumber" name="L207" href="#L207">207</a> 
<a class="jxr_linenumber" name="L208" href="#L208">208</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L209" href="#L209">209</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L210" href="#L210">210</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L211" href="#L211">211</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L212" href="#L212">212</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L213" href="#L213">213</a> 	@Override
<a class="jxr_linenumber" name="L214" href="#L214">214</a> 	<strong class="jxr_keyword">public</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/NoCodeGen.html">NoCodeGen</a> createNoCodeGen() {
<a class="jxr_linenumber" name="L215" href="#L215">215</a> 		NoCodeGenImpl noCodeGen = <strong class="jxr_keyword">new</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/impl/NoCodeGenImpl.html">NoCodeGenImpl</a>();
<a class="jxr_linenumber" name="L216" href="#L216">216</a> 		<strong class="jxr_keyword">return</strong> noCodeGen;
<a class="jxr_linenumber" name="L217" href="#L217">217</a> 	}
<a class="jxr_linenumber" name="L218" href="#L218">218</a> 
<a class="jxr_linenumber" name="L219" href="#L219">219</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L220" href="#L220">220</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L221" href="#L221">221</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L222" href="#L222">222</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L223" href="#L223">223</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L224" href="#L224">224</a> 	@Override
<a class="jxr_linenumber" name="L225" href="#L225">225</a> 	<strong class="jxr_keyword">public</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/CppRoot.html">CppRoot</a> createCppRoot() {
<a class="jxr_linenumber" name="L226" href="#L226">226</a> 		CppRootImpl cppRoot = <strong class="jxr_keyword">new</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/impl/CppRootImpl.html">CppRootImpl</a>();
<a class="jxr_linenumber" name="L227" href="#L227">227</a> 		<strong class="jxr_keyword">return</strong> cppRoot;
<a class="jxr_linenumber" name="L228" href="#L228">228</a> 	}
<a class="jxr_linenumber" name="L229" href="#L229">229</a> 
<a class="jxr_linenumber" name="L230" href="#L230">230</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L231" href="#L231">231</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L232" href="#L232">232</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L233" href="#L233">233</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L234" href="#L234">234</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L235" href="#L235">235</a> 	@Override
<a class="jxr_linenumber" name="L236" href="#L236">236</a> 	<strong class="jxr_keyword">public</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Array.html">Array</a> createArray() {
<a class="jxr_linenumber" name="L237" href="#L237">237</a> 		ArrayImpl array = <strong class="jxr_keyword">new</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/impl/ArrayImpl.html">ArrayImpl</a>();
<a class="jxr_linenumber" name="L238" href="#L238">238</a> 		<strong class="jxr_keyword">return</strong> array;
<a class="jxr_linenumber" name="L239" href="#L239">239</a> 	}
<a class="jxr_linenumber" name="L240" href="#L240">240</a> 
<a class="jxr_linenumber" name="L241" href="#L241">241</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L242" href="#L242">242</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L243" href="#L243">243</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L244" href="#L244">244</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L245" href="#L245">245</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L246" href="#L246">246</a> 	@Override
<a class="jxr_linenumber" name="L247" href="#L247">247</a> 	<strong class="jxr_keyword">public</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Const.html">Const</a> createConst() {
<a class="jxr_linenumber" name="L248" href="#L248">248</a> 		ConstImpl <strong class="jxr_keyword">const</strong>_ = <strong class="jxr_keyword">new</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/impl/ConstImpl.html">ConstImpl</a>();
<a class="jxr_linenumber" name="L249" href="#L249">249</a> 		<strong class="jxr_keyword">return</strong> <strong class="jxr_keyword">const</strong>_;
<a class="jxr_linenumber" name="L250" href="#L250">250</a> 	}
<a class="jxr_linenumber" name="L251" href="#L251">251</a> 
<a class="jxr_linenumber" name="L252" href="#L252">252</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L253" href="#L253">253</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L254" href="#L254">254</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L255" href="#L255">255</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L256" href="#L256">256</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L257" href="#L257">257</a> 	@Override
<a class="jxr_linenumber" name="L258" href="#L258">258</a> 	<strong class="jxr_keyword">public</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Ref.html">Ref</a> createRef() {
<a class="jxr_linenumber" name="L259" href="#L259">259</a> 		RefImpl ref = <strong class="jxr_keyword">new</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/impl/RefImpl.html">RefImpl</a>();
<a class="jxr_linenumber" name="L260" href="#L260">260</a> 		<strong class="jxr_keyword">return</strong> ref;
<a class="jxr_linenumber" name="L261" href="#L261">261</a> 	}
<a class="jxr_linenumber" name="L262" href="#L262">262</a> 
<a class="jxr_linenumber" name="L263" href="#L263">263</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L264" href="#L264">264</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L265" href="#L265">265</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L266" href="#L266">266</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L267" href="#L267">267</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L268" href="#L268">268</a> 	@Override
<a class="jxr_linenumber" name="L269" href="#L269">269</a> 	<strong class="jxr_keyword">public</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/External.html">External</a> createExternal() {
<a class="jxr_linenumber" name="L270" href="#L270">270</a> 		ExternalImpl external = <strong class="jxr_keyword">new</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/impl/ExternalImpl.html">ExternalImpl</a>();
<a class="jxr_linenumber" name="L271" href="#L271">271</a> 		<strong class="jxr_keyword">return</strong> external;
<a class="jxr_linenumber" name="L272" href="#L272">272</a> 	}
<a class="jxr_linenumber" name="L273" href="#L273">273</a> 
<a class="jxr_linenumber" name="L274" href="#L274">274</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L275" href="#L275">275</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L276" href="#L276">276</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L277" href="#L277">277</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L278" href="#L278">278</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L279" href="#L279">279</a> 	@Override
<a class="jxr_linenumber" name="L280" href="#L280">280</a> 	<strong class="jxr_keyword">public</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/ConstInit.html">ConstInit</a> createConstInit() {
<a class="jxr_linenumber" name="L281" href="#L281">281</a> 		ConstInitImpl constInit = <strong class="jxr_keyword">new</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/impl/ConstInitImpl.html">ConstInitImpl</a>();
<a class="jxr_linenumber" name="L282" href="#L282">282</a> 		<strong class="jxr_keyword">return</strong> constInit;
<a class="jxr_linenumber" name="L283" href="#L283">283</a> 	}
<a class="jxr_linenumber" name="L284" href="#L284">284</a> 
<a class="jxr_linenumber" name="L285" href="#L285">285</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L286" href="#L286">286</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L287" href="#L287">287</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L288" href="#L288">288</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L289" href="#L289">289</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L290" href="#L290">290</a> 	@Override
<a class="jxr_linenumber" name="L291" href="#L291">291</a> 	<strong class="jxr_keyword">public</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Friend.html">Friend</a> createFriend() {
<a class="jxr_linenumber" name="L292" href="#L292">292</a> 		FriendImpl friend = <strong class="jxr_keyword">new</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/impl/FriendImpl.html">FriendImpl</a>();
<a class="jxr_linenumber" name="L293" href="#L293">293</a> 		<strong class="jxr_keyword">return</strong> friend;
<a class="jxr_linenumber" name="L294" href="#L294">294</a> 	}
<a class="jxr_linenumber" name="L295" href="#L295">295</a> 
<a class="jxr_linenumber" name="L296" href="#L296">296</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L297" href="#L297">297</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L298" href="#L298">298</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L299" href="#L299">299</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L300" href="#L300">300</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L301" href="#L301">301</a> 	@Override
<a class="jxr_linenumber" name="L302" href="#L302">302</a> 	<strong class="jxr_keyword">public</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Inline.html">Inline</a> createInline() {
<a class="jxr_linenumber" name="L303" href="#L303">303</a> 		InlineImpl inline = <strong class="jxr_keyword">new</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/impl/InlineImpl.html">InlineImpl</a>();
<a class="jxr_linenumber" name="L304" href="#L304">304</a> 		<strong class="jxr_keyword">return</strong> inline;
<a class="jxr_linenumber" name="L305" href="#L305">305</a> 	}
<a class="jxr_linenumber" name="L306" href="#L306">306</a> 
<a class="jxr_linenumber" name="L307" href="#L307">307</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L308" href="#L308">308</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L309" href="#L309">309</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L310" href="#L310">310</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L311" href="#L311">311</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L312" href="#L312">312</a> 	@Override
<a class="jxr_linenumber" name="L313" href="#L313">313</a> 	<strong class="jxr_keyword">public</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Virtual.html">Virtual</a> createVirtual() {
<a class="jxr_linenumber" name="L314" href="#L314">314</a> 		VirtualImpl virtual = <strong class="jxr_keyword">new</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/impl/VirtualImpl.html">VirtualImpl</a>();
<a class="jxr_linenumber" name="L315" href="#L315">315</a> 		<strong class="jxr_keyword">return</strong> virtual;
<a class="jxr_linenumber" name="L316" href="#L316">316</a> 	}
<a class="jxr_linenumber" name="L317" href="#L317">317</a> 
<a class="jxr_linenumber" name="L318" href="#L318">318</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L319" href="#L319">319</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L320" href="#L320">320</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L321" href="#L321">321</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L322" href="#L322">322</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L323" href="#L323">323</a> 	@Override
<a class="jxr_linenumber" name="L324" href="#L324">324</a> 	<strong class="jxr_keyword">public</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Typedef.html">Typedef</a> createTypedef() {
<a class="jxr_linenumber" name="L325" href="#L325">325</a> 		TypedefImpl typedef = <strong class="jxr_keyword">new</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/impl/TypedefImpl.html">TypedefImpl</a>();
<a class="jxr_linenumber" name="L326" href="#L326">326</a> 		<strong class="jxr_keyword">return</strong> typedef;
<a class="jxr_linenumber" name="L327" href="#L327">327</a> 	}
<a class="jxr_linenumber" name="L328" href="#L328">328</a> 
<a class="jxr_linenumber" name="L329" href="#L329">329</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L330" href="#L330">330</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L331" href="#L331">331</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L332" href="#L332">332</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L333" href="#L333">333</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L334" href="#L334">334</a> 	@Override
<a class="jxr_linenumber" name="L335" href="#L335">335</a> 	<strong class="jxr_keyword">public</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Visibility.html">Visibility</a> createVisibility() {
<a class="jxr_linenumber" name="L336" href="#L336">336</a> 		VisibilityImpl visibility = <strong class="jxr_keyword">new</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/impl/VisibilityImpl.html">VisibilityImpl</a>();
<a class="jxr_linenumber" name="L337" href="#L337">337</a> 		<strong class="jxr_keyword">return</strong> visibility;
<a class="jxr_linenumber" name="L338" href="#L338">338</a> 	}
<a class="jxr_linenumber" name="L339" href="#L339">339</a> 
<a class="jxr_linenumber" name="L340" href="#L340">340</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L341" href="#L341">341</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L342" href="#L342">342</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L343" href="#L343">343</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L344" href="#L344">344</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L345" href="#L345">345</a> 	@Override
<a class="jxr_linenumber" name="L346" href="#L346">346</a> 	<strong class="jxr_keyword">public</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/CppInit.html">CppInit</a> createCppInit() {
<a class="jxr_linenumber" name="L347" href="#L347">347</a> 		CppInitImpl cppInit = <strong class="jxr_keyword">new</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/impl/CppInitImpl.html">CppInitImpl</a>();
<a class="jxr_linenumber" name="L348" href="#L348">348</a> 		<strong class="jxr_keyword">return</strong> cppInit;
<a class="jxr_linenumber" name="L349" href="#L349">349</a> 	}
<a class="jxr_linenumber" name="L350" href="#L350">350</a> 
<a class="jxr_linenumber" name="L351" href="#L351">351</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L352" href="#L352">352</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L353" href="#L353">353</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L354" href="#L354">354</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L355" href="#L355">355</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L356" href="#L356">356</a> 	@Override
<a class="jxr_linenumber" name="L357" href="#L357">357</a> 	<strong class="jxr_keyword">public</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Template.html">Template</a> createTemplate() {
<a class="jxr_linenumber" name="L358" href="#L358">358</a> 		TemplateImpl template = <strong class="jxr_keyword">new</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/impl/TemplateImpl.html">TemplateImpl</a>();
<a class="jxr_linenumber" name="L359" href="#L359">359</a> 		<strong class="jxr_keyword">return</strong> template;
<a class="jxr_linenumber" name="L360" href="#L360">360</a> 	}
<a class="jxr_linenumber" name="L361" href="#L361">361</a> 
<a class="jxr_linenumber" name="L362" href="#L362">362</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L363" href="#L363">363</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L364" href="#L364">364</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L365" href="#L365">365</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L366" href="#L366">366</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L367" href="#L367">367</a> 	@Override
<a class="jxr_linenumber" name="L368" href="#L368">368</a> 	<strong class="jxr_keyword">public</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/TemplateBinding.html">TemplateBinding</a> createTemplateBinding() {
<a class="jxr_linenumber" name="L369" href="#L369">369</a> 		TemplateBindingImpl templateBinding = <strong class="jxr_keyword">new</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/impl/TemplateBindingImpl.html">TemplateBindingImpl</a>();
<a class="jxr_linenumber" name="L370" href="#L370">370</a> 		<strong class="jxr_keyword">return</strong> templateBinding;
<a class="jxr_linenumber" name="L371" href="#L371">371</a> 	}
<a class="jxr_linenumber" name="L372" href="#L372">372</a> 
<a class="jxr_linenumber" name="L373" href="#L373">373</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L374" href="#L374">374</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L375" href="#L375">375</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L376" href="#L376">376</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L377" href="#L377">377</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L378" href="#L378">378</a> 	@Override
<a class="jxr_linenumber" name="L379" href="#L379">379</a> 	<strong class="jxr_keyword">public</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/TemplateParameter.html">TemplateParameter</a> createTemplateParameter() {
<a class="jxr_linenumber" name="L380" href="#L380">380</a> 		TemplateParameterImpl templateParameter = <strong class="jxr_keyword">new</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/impl/TemplateParameterImpl.html">TemplateParameterImpl</a>();
<a class="jxr_linenumber" name="L381" href="#L381">381</a> 		<strong class="jxr_keyword">return</strong> templateParameter;
<a class="jxr_linenumber" name="L382" href="#L382">382</a> 	}
<a class="jxr_linenumber" name="L383" href="#L383">383</a> 
<a class="jxr_linenumber" name="L384" href="#L384">384</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L385" href="#L385">385</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L386" href="#L386">386</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L387" href="#L387">387</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L388" href="#L388">388</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L389" href="#L389">389</a> 	@Override
<a class="jxr_linenumber" name="L390" href="#L390">390</a> 	<strong class="jxr_keyword">public</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Union.html">Union</a> createUnion() {
<a class="jxr_linenumber" name="L391" href="#L391">391</a> 		UnionImpl union = <strong class="jxr_keyword">new</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/impl/UnionImpl.html">UnionImpl</a>();
<a class="jxr_linenumber" name="L392" href="#L392">392</a> 		<strong class="jxr_keyword">return</strong> union;
<a class="jxr_linenumber" name="L393" href="#L393">393</a> 	}
<a class="jxr_linenumber" name="L394" href="#L394">394</a> 
<a class="jxr_linenumber" name="L395" href="#L395">395</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L396" href="#L396">396</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L397" href="#L397">397</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L398" href="#L398">398</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L399" href="#L399">399</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L400" href="#L400">400</a> 	@Override
<a class="jxr_linenumber" name="L401" href="#L401">401</a> 	<strong class="jxr_keyword">public</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/StorageClass.html">StorageClass</a> createStorageClass() {
<a class="jxr_linenumber" name="L402" href="#L402">402</a> 		StorageClassImpl storageClass = <strong class="jxr_keyword">new</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/impl/StorageClassImpl.html">StorageClassImpl</a>();
<a class="jxr_linenumber" name="L403" href="#L403">403</a> 		<strong class="jxr_keyword">return</strong> storageClass;
<a class="jxr_linenumber" name="L404" href="#L404">404</a> 	}
<a class="jxr_linenumber" name="L405" href="#L405">405</a> 
<a class="jxr_linenumber" name="L406" href="#L406">406</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L407" href="#L407">407</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L408" href="#L408">408</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L409" href="#L409">409</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L410" href="#L410">410</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L411" href="#L411">411</a> 	@Override
<a class="jxr_linenumber" name="L412" href="#L412">412</a> 	<strong class="jxr_keyword">public</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Volatile.html">Volatile</a> createVolatile() {
<a class="jxr_linenumber" name="L413" href="#L413">413</a> 		VolatileImpl <strong class="jxr_keyword">volatile</strong>_ = <strong class="jxr_keyword">new</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/impl/VolatileImpl.html">VolatileImpl</a>();
<a class="jxr_linenumber" name="L414" href="#L414">414</a> 		<strong class="jxr_keyword">return</strong> <strong class="jxr_keyword">volatile</strong>_;
<a class="jxr_linenumber" name="L415" href="#L415">415</a> 	}
<a class="jxr_linenumber" name="L416" href="#L416">416</a> 
<a class="jxr_linenumber" name="L417" href="#L417">417</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L418" href="#L418">418</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L419" href="#L419">419</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L420" href="#L420">420</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L421" href="#L421">421</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L422" href="#L422">422</a> 	<strong class="jxr_keyword">public</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Variadic.html">Variadic</a> createVariadic() {
<a class="jxr_linenumber" name="L423" href="#L423">423</a> 		VariadicImpl variadic = <strong class="jxr_keyword">new</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/impl/VariadicImpl.html">VariadicImpl</a>();
<a class="jxr_linenumber" name="L424" href="#L424">424</a> 		<strong class="jxr_keyword">return</strong> variadic;
<a class="jxr_linenumber" name="L425" href="#L425">425</a> 	}
<a class="jxr_linenumber" name="L426" href="#L426">426</a> 
<a class="jxr_linenumber" name="L427" href="#L427">427</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L428" href="#L428">428</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L429" href="#L429">429</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L430" href="#L430">430</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L431" href="#L431">431</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L432" href="#L432">432</a> 	<strong class="jxr_keyword">public</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Mutable.html">Mutable</a> createMutable() {
<a class="jxr_linenumber" name="L433" href="#L433">433</a> 		MutableImpl mutable = <strong class="jxr_keyword">new</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/impl/MutableImpl.html">MutableImpl</a>();
<a class="jxr_linenumber" name="L434" href="#L434">434</a> 		<strong class="jxr_keyword">return</strong> mutable;
<a class="jxr_linenumber" name="L435" href="#L435">435</a> 	}
<a class="jxr_linenumber" name="L436" href="#L436">436</a> 
<a class="jxr_linenumber" name="L437" href="#L437">437</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L438" href="#L438">438</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L439" href="#L439">439</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L440" href="#L440">440</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L441" href="#L441">441</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L442" href="#L442">442</a> 	<strong class="jxr_keyword">public</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/VisibilityKind.html">VisibilityKind</a> createVisibilityKindFromString(EDataType eDataType, String initialValue) {
<a class="jxr_linenumber" name="L443" href="#L443">443</a> 		VisibilityKind result = VisibilityKind.get(initialValue);
<a class="jxr_linenumber" name="L444" href="#L444">444</a> 		<strong class="jxr_keyword">if</strong> (result == <strong class="jxr_keyword">null</strong>) <strong class="jxr_keyword">throw</strong> <strong class="jxr_keyword">new</strong> IllegalArgumentException(<span class="jxr_string">"The value '"</span> + initialValue + <span class="jxr_string">"' is not a valid enumerator of '"</span> + eDataType.getName() + <span class="jxr_string">"'"</span>);
<a class="jxr_linenumber" name="L445" href="#L445">445</a> 		<strong class="jxr_keyword">return</strong> result;
<a class="jxr_linenumber" name="L446" href="#L446">446</a> 	}
<a class="jxr_linenumber" name="L447" href="#L447">447</a> 
<a class="jxr_linenumber" name="L448" href="#L448">448</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L449" href="#L449">449</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L450" href="#L450">450</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L451" href="#L451">451</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L452" href="#L452">452</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L453" href="#L453">453</a> 	<strong class="jxr_keyword">public</strong> String convertVisibilityKindToString(EDataType eDataType, Object instanceValue) {
<a class="jxr_linenumber" name="L454" href="#L454">454</a> 		<strong class="jxr_keyword">return</strong> instanceValue == <strong class="jxr_keyword">null</strong> ? <strong class="jxr_keyword">null</strong> : instanceValue.toString();
<a class="jxr_linenumber" name="L455" href="#L455">455</a> 	}
<a class="jxr_linenumber" name="L456" href="#L456">456</a> 
<a class="jxr_linenumber" name="L457" href="#L457">457</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L458" href="#L458">458</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L459" href="#L459">459</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L460" href="#L460">460</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L461" href="#L461">461</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L462" href="#L462">462</a> 	<strong class="jxr_keyword">public</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/EAccessKind.html">EAccessKind</a> createEAccessKindFromString(EDataType eDataType, String initialValue) {
<a class="jxr_linenumber" name="L463" href="#L463">463</a> 		EAccessKind result = EAccessKind.get(initialValue);
<a class="jxr_linenumber" name="L464" href="#L464">464</a> 		<strong class="jxr_keyword">if</strong> (result == <strong class="jxr_keyword">null</strong>) <strong class="jxr_keyword">throw</strong> <strong class="jxr_keyword">new</strong> IllegalArgumentException(<span class="jxr_string">"The value '"</span> + initialValue + <span class="jxr_string">"' is not a valid enumerator of '"</span> + eDataType.getName() + <span class="jxr_string">"'"</span>);
<a class="jxr_linenumber" name="L465" href="#L465">465</a> 		<strong class="jxr_keyword">return</strong> result;
<a class="jxr_linenumber" name="L466" href="#L466">466</a> 	}
<a class="jxr_linenumber" name="L467" href="#L467">467</a> 
<a class="jxr_linenumber" name="L468" href="#L468">468</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L469" href="#L469">469</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L470" href="#L470">470</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L471" href="#L471">471</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L472" href="#L472">472</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L473" href="#L473">473</a> 	<strong class="jxr_keyword">public</strong> String convertEAccessKindToString(EDataType eDataType, Object instanceValue) {
<a class="jxr_linenumber" name="L474" href="#L474">474</a> 		<strong class="jxr_keyword">return</strong> instanceValue == <strong class="jxr_keyword">null</strong> ? <strong class="jxr_keyword">null</strong> : instanceValue.toString();
<a class="jxr_linenumber" name="L475" href="#L475">475</a> 	}
<a class="jxr_linenumber" name="L476" href="#L476">476</a> 
<a class="jxr_linenumber" name="L477" href="#L477">477</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L478" href="#L478">478</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L479" href="#L479">479</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L480" href="#L480">480</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L481" href="#L481">481</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L482" href="#L482">482</a> 	<strong class="jxr_keyword">public</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/EStorageClass.html">EStorageClass</a> createEStorageClassFromString(EDataType eDataType, String initialValue) {
<a class="jxr_linenumber" name="L483" href="#L483">483</a> 		EStorageClass result = EStorageClass.get(initialValue);
<a class="jxr_linenumber" name="L484" href="#L484">484</a> 		<strong class="jxr_keyword">if</strong> (result == <strong class="jxr_keyword">null</strong>) <strong class="jxr_keyword">throw</strong> <strong class="jxr_keyword">new</strong> IllegalArgumentException(<span class="jxr_string">"The value '"</span> + initialValue + <span class="jxr_string">"' is not a valid enumerator of '"</span> + eDataType.getName() + <span class="jxr_string">"'"</span>);
<a class="jxr_linenumber" name="L485" href="#L485">485</a> 		<strong class="jxr_keyword">return</strong> result;
<a class="jxr_linenumber" name="L486" href="#L486">486</a> 	}
<a class="jxr_linenumber" name="L487" href="#L487">487</a> 
<a class="jxr_linenumber" name="L488" href="#L488">488</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L489" href="#L489">489</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L490" href="#L490">490</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L491" href="#L491">491</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L492" href="#L492">492</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L493" href="#L493">493</a> 	<strong class="jxr_keyword">public</strong> String convertEStorageClassToString(EDataType eDataType, Object instanceValue) {
<a class="jxr_linenumber" name="L494" href="#L494">494</a> 		<strong class="jxr_keyword">return</strong> instanceValue == <strong class="jxr_keyword">null</strong> ? <strong class="jxr_keyword">null</strong> : instanceValue.toString();
<a class="jxr_linenumber" name="L495" href="#L495">495</a> 	}
<a class="jxr_linenumber" name="L496" href="#L496">496</a> 
<a class="jxr_linenumber" name="L497" href="#L497">497</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L498" href="#L498">498</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L499" href="#L499">499</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L500" href="#L500">500</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L501" href="#L501">501</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L502" href="#L502">502</a> 	@Override
<a class="jxr_linenumber" name="L503" href="#L503">503</a> 	<strong class="jxr_keyword">public</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppPackage.html">C_CppPackage</a> getC_CppPackage() {
<a class="jxr_linenumber" name="L504" href="#L504">504</a> 		<strong class="jxr_keyword">return</strong> (C_CppPackage)getEPackage();
<a class="jxr_linenumber" name="L505" href="#L505">505</a> 	}
<a class="jxr_linenumber" name="L506" href="#L506">506</a> 
<a class="jxr_linenumber" name="L507" href="#L507">507</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L508" href="#L508">508</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L509" href="#L509">509</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L510" href="#L510">510</a> <em class="jxr_javadoccomment">	 * @deprecated</em>
<a class="jxr_linenumber" name="L511" href="#L511">511</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L512" href="#L512">512</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L513" href="#L513">513</a> 	@Deprecated
<a class="jxr_linenumber" name="L514" href="#L514">514</a> 	<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">static</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppPackage.html">C_CppPackage</a> getPackage() {
<a class="jxr_linenumber" name="L515" href="#L515">515</a> 		<strong class="jxr_keyword">return</strong> C_CppPackage.eINSTANCE;
<a class="jxr_linenumber" name="L516" href="#L516">516</a> 	}
<a class="jxr_linenumber" name="L517" href="#L517">517</a> 
<a class="jxr_linenumber" name="L518" href="#L518">518</a> } <em class="jxr_comment">// C_CppFactoryImpl</em>
</pre>
<hr/>
<div id="footer">Copyright &#169; 2016&#x2013;2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</div>
</body>
</html>
